# frozen_string_literal: true

module Gitlab
  module BackgroundMigration
    # This batched background migration is EE-only, see
    # ee/lib/ee/gitlab/background_migration/backfill_has_vulnerability_resolution.rb
    # for the actual migration code.
    class BackfillHasVulnerabilityResolution < BatchedMigrationJob
      feature_category :vulnerability_management

      def perform; end
    end
  end
end

Gitlab::BackgroundMigration::BackfillHasVulnerabilityResolution.prepend_mod
