# frozen_string_literal: true

class IndexVulnerabilityUserMentionsOnProjectId < Gitlab::Database::Migration[2.2]
  milestone '17.1'
  disable_ddl_transaction!

  INDEX_NAME = 'index_vulnerability_user_mentions_on_project_id'

  def up
    add_concurrent_index :vulnerability_user_mentions, :project_id, name: INDEX_NAME
  end

  def down
    remove_concurrent_index_by_name :vulnerability_user_mentions, INDEX_NAME
  end
end
