# frozen_string_literal: true

class RemoveOrganizationsVulnerabilityExportsOrganizationIdFk < Gitlab::Database::Migration[2.2]
  milestone '17.4'
  disable_ddl_transaction!

  FOREIGN_KEY_NAME = "fk_90e75ccdf8"

  def up
    with_lock_retries do
      remove_foreign_key_if_exists(:vulnerability_exports, :organizations,
        name: FOREIGN_KEY_NAME, reverse_lock_order: true)
    end
  end

  def down
    add_concurrent_foreign_key(:vulnerability_exports, :organizations,
      name: FOREIGN_KEY_NAME, column: :organization_id,
      target_column: :id, on_delete: :cascade)
  end
end
