# frozen_string_literal: true

class FinalizeBackfillVulnerabilityStateTransitionsProjectId < Gitlab::Database::Migration[2.2]
  disable_ddl_transaction!
  restrict_gitlab_migration gitlab_schema: :gitlab_main_cell
  milestone '17.6'

  MIGRATION_NAME = "BackfillVulnerabilityStateTransitionsProjectId"

  def up
    # no-op
    # This finalization wasn't configured quite right prior to its merge.
    # Will create a new one to avoid leaving any incorrect DB states.
    # https://gitlab.com/gitlab-org/gitlab/-/merge_requests/172438
  end

  def down
    # no-op
  end
end
